KCPROTOTEST(1)

NAME
kcprototest - command line interface to test the prototype database

DESCRIPTION

The command `kcprototest' is a utility for facility test and performance test of the prototype database. This command is used in the following format. `rnum' specifies the number of iterations.

    kcprototest order [-tree] [-th num] [-rnd] [-etc] [-tran] rnum
        Performs in-order tests.
    kcprototest queue [-tree] [-th num] [-it num] [-rnd] rnum
        Performs queuing operations.
    kcprototest wicked [-tree] [-th num] [-it num] rnum
        Performs mixed operations selected at random.
    kcprototest tran [-tree] [-th num] [-it num] rnum
        Performs test of transaction.

Options feature the following.

    -tree : test the prototype tree database instead of the prototype hash database.
    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -it num : specifies the number of repetition.

This command returns 0 on success, another on failure.